import { LucideProps } from 'lucide-react';

export const Icons = {
  logo: (props: LucideProps) => (
    <svg
      xmlns="http://www.w3.org/2000/svg"
      data-name="Calque 1"
      viewBox="0 0 500 500"
      {...props}
    >
      <defs>
        <linearGradient
          id="a"
          x1={161.56}
          x2={616.96}
          y1={391.56}
          y2={391.56}
          gradientUnits="userSpaceOnUse"
        >
          <stop offset={0} stopColor="#fb1626" />
          <stop offset={1} stopColor="#bb0d5a" />
        </linearGradient>
      </defs>

      <path
        d="M617 391.56c0 5.76-.21 11.48-.63 17.13a226.59 226.59 0 0 1-12.3 58.7c-31.24 88.48-115.6 151.88-214.77 151.88-125.76 0-227.7-102-227.7-227.71 0-5.6.21-11.16.6-16.67 0-.33.05-.67.08-1a226.67 226.67 0 0 1 11.52-56l.81-2.33C205.9 227.2 290.22 163.9 389.3 163.9 515 163.86 617 265.81 617 391.56Z"
        style={{
          fill: 'url(#a)'
        }}
        transform="translate(-161.56 -163.86)"
      />
      <path
        d="M616.33 408.69a226.59 226.59 0 0 1-12.3 58.7L321.05 519l-6 1.1a34.72 34.72 0 0 1-6.11.56 29.07 29.07 0 0 1-5.57-.52h-.07a35.49 35.49 0 0 1-18.38-9.65 35.19 35.19 0 0 1-7.22-39.82 36.66 36.66 0 0 1 2.9-5.11l138-138-256.06 46.27-.3.06a226.67 226.67 0 0 1 11.52-56l.81-2.33 292.68-53.4 8.64-1.57a29.13 29.13 0 0 1 5.1-.46 28.31 28.31 0 0 1 4.86.42 35.86 35.86 0 0 1 28.91 28.71 35.6 35.6 0 0 1-9.44 31.1l-1.35 1.34-133 131.72Z"
        style={{
          fill: '#fff'
        }}
        transform="translate(-161.56 -163.86)"
      />
    </svg>
  ),
  google: (props: LucideProps) => (
    <svg role="img" viewBox="0 0 24 24" {...props}>
      <path
        fill="currentColor"
        d="M12.48 10.92v3.28h7.84c-.24 1.84-.853 3.187-1.787 4.133-1.147 1.147-2.933 2.4-6.053 2.4-4.827 0-8.6-3.893-8.6-8.72s3.773-8.72 8.6-8.72c2.6 0 4.507 1.027 5.907 2.347l2.307-2.307C18.747 1.44 16.133 0 12.48 0 5.867 0 .307 5.387.307 12s5.56 12 12.173 12c3.573 0 6.267-1.173 8.373-3.36 2.16-2.16 2.84-5.213 2.84-7.667 0-.76-.053-1.467-.173-2.053H12.48z"
      />
    </svg>
  )
};
